PDA

Afficher la version complète : [Réglé] install de gimp 2.6



moniroje
23/11/2008, 14h20
Voilà, j'ai suivie les instructions:
<div class='quotetop'>Citation </div>
Pour les Debianistes (expérimentés et/ou aventureux...), Gimp 2.6 est en Experimental. Pour le récupérer il faut ajouter "experimental" à votre /etc/apt/sources.list :
# Debian experimental Dangerous stuff
deb http://ftp.uk.debian.org/debian/ experimental main
# deb-src http://ftp.uk.debian.org/debian/ experimental main[/b]
et ma sources.list devient:
<div class='codetop'>CODE</div><div class='codemain' style='height:200px;white-space:pre;overflow:auto'>## sid
deb http://ftp.fr.debian.org/debian/ sid main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ sid main contrib non-free
#debian-marillat
deb http://www.debian-multimedia.org/ sid main
deb-src http://www.debian-multimedia.org/ sid main
# Debian experimental Dangerous stuff
deb http://ftp.uk.debian.org/debian/ experimental main
# deb-src http://ftp.uk.debian.org/debian/ experimental main</div>
puis l'instruction:
<div class='quotetop'>Citation </div>
en choisissant un serveur près de chez vous.[/b]
heu, là, chais pas comment on fait et je passe.
Ensuite il dit:
<div class='quotetop'>Citation </div>
Les paquets d'experimental ont par défaut une priorité de "1" dans "apt-cache policy", ils ne seront jamais installés si ce n'est pas demandé explicitement :

sudo aptitude -t experimental install gimp[/b]
et donc :
<div class='codetop'>CODE</div><div class='codemain' style='height:200px;white-space:pre;overflow:auto'>alain@debian:~$ sudo aptitude -t experimental install gimp

We trust you have received the usual lecture from the local System
Administrator. It usually boils down to these three things:

#1) Respect the privacy of others.
#2) Think before you type.
#3) With great power comes great responsibility.

[sudo] password for alain:
Sorry, try again.
[sudo] password for alain:
Sorry, try again.
[sudo] password for alain:
sudo: 2 incorrect password attempts
alain@debian:~$ su
Mot de passe :
debian:/home/alain# sudo aptitude -t experimental install gimp
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Écriture de l'information d'état étendu... Fait
Lecture des descriptions de tâches... Fait
Les paquets suivants seront ENLEVÉS :
at-spi{u} cheese{u} dasher{u} dasher-data{u} eog{u} espeak{u}
espeak-data{u} fast-user-switch-applet{u} festival{u} festlex-cmu{u}
festlex-poslex{u} festvox-kallpc16k{u} file-roller{u} gcalctool{u}
gconf-editor{u} gdm{u} gedit{u} gedit-common{u} gnome-accessibility{u}
gnome-accessibility-themes{u} gnome-backgrounds{u} gnome-cards-data{u}
gnome-core{u} gnome-games{u} gnome-games-data{u} gnome-mag{u}
gnome-nettool{u} gnome-network-admin{u} gnome-orca{u}
gnome-system-tools{u} gnome-themes{u} gok{u} gstreamer0.10-fluendo-mp3{u}
gucharmap{u} javascript-common{u} libatspi1.0-0{u} libavahi-gobject0{u}
libavahi-ui0{u} libbrlapi0.5{u} libcolorblind0{u} libdmx1{u}
libedata-book1.2-2{u} libespeak1{u} libestools1.2{u}
libgail-gnome-module{u} libgnome-mag2{u} libgnome-pilot2{u}
libgnome-speech7{u} libgnomevfs2-bin{u} libjs-jquery{u} libosp5{u}
libxevie1{u} mousetweaks{u} perl-tk{u} python-brlapi{u} python-pyatspi{u}
vinagre{u} vino{u} w3c-dtd-xhtml{u}
0 paquets mis à jour, 0 nouvellement installés, 59 à enlever et 160 non mis à jour.
Il est nécessaire de télécharger 0o d'archives. Après dépaquetage, 211Mo seront libérés.
Voulez-vous continuer ? [Y/n/?] Y
Écriture de l'information d'état étendu... Fait
(Lecture de la base de données... 170337 fichiers et répertoires déjà installés.)
Suppression de gnome-accessibility ...
Suppression de gnome-orca ...
Suppression de python-pyatspi ...
Suppression de gok ...
Suppression de dasher ...
Suppression de at-spi ...
Suppression de cheese ...
Suppression de dasher-data ...
Suppression de gnome-core ...
Suppression de eog ...
Suppression de espeak ...
Suppression de libgnome-speech7 ...
Suppression de libespeak1 ...
Suppression de espeak-data ...
Suppression de fast-user-switch-applet ...
Suppression de festvox-kallpc16k ...
Suppression de festlex-poslex ...
Suppression de festlex-cmu ...
Suppression de festival ...
Suppression de file-roller ...
Suppression de gcalctool ...
Suppression de gconf-editor ...
Suppression de gdm ...
Suppression de gedit ...
Suppression de gedit-common ...
Suppression de gnome-accessibility-themes ...
Suppression de gnome-backgrounds ...
Suppression de gnome-games ...
Suppression de gnome-games-data ...
Suppression de gnome-cards-data ...
Suppression de gnome-mag ...
Suppression de gnome-nettool ...
Suppression de gnome-network-admin ...
Suppression de gnome-system-tools ...
Suppression de gnome-themes ...
Suppression de gstreamer0.10-fluendo-mp3 ...
Suppression de gucharmap ...
Suppression de javascript-common ...
Suppression de libgail-gnome-module ...
Suppression de mousetweaks ...
Suppression de libatspi1.0-0 ...
Suppression de libavahi-gobject0 ...
Suppression de vinagre ...
Suppression de libavahi-ui0 ...
Suppression de python-brlapi ...
Suppression de libbrlapi0.5 ...
Suppression de libcolorblind0 ...
Suppression de libdmx1 ...
Suppression de libedata-book1.2-2 ...
Suppression de libestools1.2 ...
Suppression de libgnome-mag2 ...
Suppression de libgnome-pilot2 ...
Suppression de libgnomevfs2-bin ...
Suppression de libjs-jquery ...
Suppression de libosp5 ...
Suppression de libxevie1 ...
Suppression de perl-tk ...
Suppression de vino ...
Suppression de w3c-dtd-xhtml ...
Traitement des actions différées (« triggers ») pour « python-support »...
Traitement des actions différées (« triggers ») pour « man-db »...
Traitement des actions différées (« triggers ») pour « menu »...
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Écriture de l'information d'état étendu... Fait
Lecture des descriptions de tâches... Fait

État actuel : 160 mises à jour restantes [-5].
</div>
puis l'instruction de thveillon se termine par:
<div class='quotetop'>Citation </div>
ps : pour lancer l'application, utilisez une invite de commande ( [alt] [F2] ) ou la console, et tapez "gimp-2.6" sans guillemets.[/b]
et je fais:

debian:/home/alain# gimp-2.6
bash: gimp-2.6: command not found
debian:/home/alain#
je recommence mais en user: même résultat: command not found....
apparemment, je n'ai pas installé gimp 2.6 et j'ai enlevé plein de trucs (gnome: pas trop grave, je m'en sers pas)
OK, chuis pas expérimenté.... <_<

genome
23/11/2008, 22h30
Salut,

<div class='quotetop'>Citation </div>
État actuel : 160 mises à jour restantes [-5].[/b]
=> refais peut-être une mise à jour :unsure:

thveillon
24/11/2008, 02h04
Salut,

quand on modifie le sources.list il faut faire un
aptitude update pour que la modification soit prise en compte.

Ensuite comme souligné par genome tu devrais commencer par une petite mise à jour :


aptitude update
aptitude safe-upgrade
aptitude full-upgrade

Ensuite tu désinstalles gimp dans sa version actuelle s'il est installé (aptitude remove gimp), et tu installes la version d'experimental avec :


aptitude install gimp/experimental (ça fait pareil que la notation "-t experimental" mais c'est plus court, et ça permet de mixer: "aptitude install paquet1/unstable paquet2/experimental" par exemple).


Les serveurs ftp de debian sont localisés géographiquement dans leurs adresses: http://ftp.uk.debian.org/debian/ c'est pour les anglais (uk=United Kingdom). Au pays de Pimprenelle et Nicolas ça donne http://ftp.fr.debian.org/debian/ (http://ftp.uk.debian.org/debian/) . Bien sur si tu habites au Swaziland ça a peu de chance de fonctionner de la même façon, la liste complète des serveurs (http://www.debian.org/mirror/list) est disponible sur www.debian.org .


En procédant comme ça tu auras une icône de lancement dans le menu K. Si tu veux suivre les mises à jour des paquets d'experimental que tu as installé il faut créer une règle de préférence pour apt, ça se met dans un fichier /etc/apt/preferences :

Package: *
Pin: release a=experimental
Pin-Priority: 101

De cette manière lorsque tu feras un "aptitude full-upgrade" les paquets d'experimental seront mis à jour, mais jamais aucun ne sera installé automatiquement, sauf s'il est une dépendance d'un autre paquet installé explicitement.

Tu peux profiter de l'opération pour installer OpenOffice3 qui est aussi en experimental, de la même manière que pour Gimp. Il y a aussi tout kd4 (voir ici pour la marche à suivre (http://pkg-kde.alioth.debian.org/kde4.html) ), c'est à dire de quoi s'amuser vraiment... et mettre en vrac son système en un éclair ! Sauvegarde récente indispensable ! ;)

moniroje
25/11/2008, 15h13
Voilà!!! j'ai gimp 2.6.
La seule chose que je n'ai pas suivi c'est:
<div class='quotetop'>Citation </div>
En procédant comme ça, tu auras une icône de lancement dans le menu K.[/b]
heu, comme ça, comment comme ça ???
Du coup, je n'ai pas eu l'icône de lancement dans le menu K
mais un tit coup de "whereis gimp" et il est dans /usr/bin et retour à MenuK, éditer et je l'ai rajouté.
Puis, comme je n'ai pas voulu mettre en vrac mon système en un éclair, je me contente de gimp dernière version.
Merci à tous!! vous êtes des potes!!!

thveillon
25/11/2008, 15h51
Ça roule alors, pour l'icône dans le menu j'ai un doute, je l'ai peut-être créé moi même...

Pour les autres paquets d'experimental tu as raison de te méfier, en particulier kde4, mais Ooo3 n'est pas vraiment dangereux. :diable:

Gimp 2.6 n'a jamais planté chez moi, malgré un usage plutôt intensif, Ooo3 deux fois lors de l'ajout d'extensions, mais c'était juste après sa sortie, maintenant ça fonctionne bien.

Dans le dépôt experimental de debian-multimedia (ex Marillat) tu as flash 64bit, j'en parle ici (http://www.alionet.org/index.php?showtopic=22554&st=20&start=20), chez moi ça marche très bien.

moniroje
25/11/2008, 19h56
certes, mais je crois que ma Debian est en 32 bits (c'est en suse que je suis en 64 bits)

thveillon
25/11/2008, 20h01
Nevermind. ^_^

moniroje
25/11/2008, 20h49
never mind: dico....
Ah?? peu importe??? donc je pourrais m'y essayer?

thveillon
26/11/2008, 00h35
Ah! Les joies de la traduction... Employé comme ici ça veut plutôt dire qu'il ne faut pas tenir compte de ce que je racontais auparavant... Si tu es sur 32bits tu n'as absolument pas besoin de flash 64bits, qui ne fonctionnerait pas en plus !

Mais pourquoi es-tu encore en 32bits ? Debian est une merveille en 64bits, et maintenant on peut avoir le plugin flash, java, et même skype qui tournent très bien sur 64bits !

Ça sera pour la sortie de Lenny en Stable peut-être ? ;)

moniroje
26/11/2008, 18h14
Pourquoi je suis encore en 32 bits???
Ben, je suppose que je suis en 32 bits; vague souvenir que j'ai acheté le DVD Debian Etch qui n'était qu'en 32 bits; mais là, j'en suis pas sûr; je suis peut-être en 64 bits?